# swipe-plugin-ts
swipe plugin typescript for fullcalendar


# Custom swipe plugin from FullCalendar

The swipe ts [React](https://reactjs.org/) Plugin for [FullCalendar](https://fullcalendar.io)

## Installation

```sh
npm i swipe-plugin-ts
```
## Usage
```jsx
import useSwipePlugin from 'swipe-plugin-ts'

```
## Create plugin
Create with 1000ms swipe speed
```jsx

const swipePlugin = useSwipePlugin(refCalendar, 1000);

export function DemoApp() {
  return (
    <div>
      <h1>Demo App</h1>
      <FullCalendar ref={refCalendar}
        plugins={[swipePlugin]}
        initialView='dayGridMonth'
        weekends={false}
        events={events}
        eventContent={renderEventContent}
      />
    </div>
  )
}
```